Package org.eclipse.jdt.ui.actions

# Class GenerateActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.GenerateActionGroup

public class GenerateActionGroup extends org.eclipse.ui.actions.ActionGroup
Action group that adds the source and generate actions to a part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GROUP_CODE`
Pop-up menu: id of the code group of the source sub menu (value `codeGroup`).
`static final String`
`GROUP_GENERATE`
Pop-up menu: id of the generate group of the source sub menu (value `generateGroup`).
`static final String`
`GROUP_IMPORT`
Pop-up menu: id of the import group of the source sub menu (value `importGroup`).
`static final String`
`MENU_ID`
Pop-up menu: id of the source sub menu (value `org.eclipse.jdt.ui.source.menu`).

## Constructor Summary

Constructors
Constructor
Description
`GenerateActionGroup(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor, String groupName)`
Note: This constructor is for internal use only.
`GenerateActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `GenerateActionGroup`.
`GenerateActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider selectionProvider)`
Creates a new `GenerateActionGroup`.
`GenerateActionGroup(org.eclipse.ui.part.Page page)`
Creates a new `GenerateActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`editorStateChanged()`
Deprecated.
As of 3.5, this method is no longer called
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBar)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MENU_ID

public static final String MENU_ID
Pop-up menu: id of the source sub menu (value `org.eclipse.jdt.ui.source.menu`).

Since:
  3.0
See Also:
  - Constant Field Values

### GROUP_IMPORT

public static final String GROUP_IMPORT
Pop-up menu: id of the import group of the source sub menu (value `importGroup`).

Since:
  3.0
See Also:
  - Constant Field Values

### GROUP_GENERATE

public static final String GROUP_GENERATE
Pop-up menu: id of the generate group of the source sub menu (value `generateGroup`).

Since:
  3.0
See Also:
  - Constant Field Values

### GROUP_CODE

public static final String GROUP_CODE
Pop-up menu: id of the code group of the source sub menu (value `codeGroup`).

Since:
  3.0
See Also:
  - Constant Field Values

## Constructor Details

### GenerateActionGroup

public GenerateActionGroup(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor, String groupName)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the compilation unit editor
  `groupName` - the group name to add the action to
Restriction:
  This constructor is not intended to be referenced by clients.

### GenerateActionGroup

public GenerateActionGroup(org.eclipse.ui.part.Page page)
Creates a new `GenerateActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### GenerateActionGroup

public GenerateActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `GenerateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### GenerateActionGroup

public GenerateActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider selectionProvider)
Creates a new `GenerateActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.4

## Method Details

### editorStateChanged

@Deprecated public void editorStateChanged()
Deprecated.
As of 3.5, this method is no longer called
Note: This method is for internal use only. Clients should not call this method.

Restriction:
  This method is not intended to be referenced by clients.

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBar)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`